Selaa lähdekoodia

Merge branch 'master' of git+ssh://openadk.org/git/openadk

Waldemar Brodkorb 10 vuotta sitten
vanhempi
commit
fdc973fa4e
60 muutettua tiedostoa jossa 1016 lisäystä ja 706 poistoa
  1. 4 4
      Config.in
  2. 23 11
      mk/build.mk
  3. 9 7
      mk/kernel-build.mk
  4. 5 5
      mk/kernel-ver.mk
  5. 20 4
      mk/modules.mk
  6. 0 5
      mk/pkg-bottom.mk
  7. 28 0
      package/adk-test-tools/Makefile
  8. 11 0
      package/adk-test-tools/files/test.init
  9. 4 0
      package/adk-test-tools/src/qmp
  10. 2 0
      package/adk-test-tools/src/quit
  11. 1 1
      package/base-files/Makefile
  12. 0 1
      package/base-files/src/etc/fstab
  13. 7 2
      package/base-files/src/etc/group
  14. 0 5
      package/base-files/src/etc/init.d/boot
  15. 69 0
      package/base-files/src/etc/init.d/fs
  16. 4 0
      package/base-files/src/etc/init.d/rcS
  17. 3 1
      package/base-files/src/etc/inittab
  18. 1 1
      package/busybox/Makefile
  19. 6 2
      package/busybox/files/syslog.init
  20. 1 1
      package/dropbear/Makefile
  21. 3 3
      package/musl/Makefile
  22. 18 5
      package/strace/patches/patch-process_c
  23. 12 0
      package/strace/patches/patch-util_c
  24. 2 9
      target/config/Config.in.runtime
  25. 28 5
      target/linux/config/Config.in.audio
  26. 1 0
      target/linux/config/Config.in.debug
  27. 7 4
      target/linux/config/Config.in.netfilter.ip4
  28. 1 1
      target/linux/config/Config.in.watchdog
  29. 259 221
      target/linux/patches/3.12.13/raspberry.patch
  30. 0 0
      target/linux/patches/3.13.6/bsd-compatibility.patch
  31. 0 0
      target/linux/patches/3.13.6/defaults.patch
  32. 0 0
      target/linux/patches/3.13.6/disable-netfilter.patch
  33. 0 0
      target/linux/patches/3.13.6/export-symbol-for-exmap.patch
  34. 0 0
      target/linux/patches/3.13.6/gemalto.patch
  35. 0 0
      target/linux/patches/3.13.6/lemote-rfkill.patch
  36. 0 0
      target/linux/patches/3.13.6/microblaze-axi.patch
  37. 12 0
      target/linux/patches/3.13.6/microblaze-early-printk.patch
  38. 0 0
      target/linux/patches/3.13.6/microblaze-ethernet.patch
  39. 0 0
      target/linux/patches/3.13.6/microblaze-setup.patch
  40. 0 0
      target/linux/patches/3.13.6/mtd-rootfs.patch
  41. 0 0
      target/linux/patches/3.13.6/non-static.patch
  42. 0 0
      target/linux/patches/3.13.6/ppc64-missing-zlib.patch
  43. 0 0
      target/linux/patches/3.13.6/ppc64-missing_arch_random.patch
  44. 270 223
      target/linux/patches/3.13.6/raspberry.patch
  45. 0 0
      target/linux/patches/3.13.6/startup.patch
  46. 0 0
      target/linux/patches/3.13.6/uuid.patch
  47. 0 0
      target/linux/patches/3.13.6/vga-cons-default-off.patch
  48. 0 0
      target/linux/patches/3.13.6/wlan-cf.patch
  49. 0 0
      target/linux/patches/3.13.6/xargs.patch
  50. 0 0
      target/linux/patches/3.13.6/zlib-inflate.patch
  51. 1 0
      target/packages/pkg-available/test
  52. 3 3
      target/sparc/Makefile
  53. 0 0
      toolchain/kernel-headers/patches/3.13.6/cleankernel.patch
  54. 0 0
      toolchain/kernel-headers/patches/3.13.6/microperl.patch
  55. 0 0
      toolchain/kernel-headers/patches/3.13.6/mkpiggy.patch
  56. 0 0
      toolchain/kernel-headers/patches/3.13.6/relocs.patch
  57. 0 0
      toolchain/kernel-headers/patches/3.13.6/sgidefs.patch
  58. 0 0
      toolchain/kernel-headers/patches/3.13.6/sortext.patch
  59. 201 102
      toolchain/musl/patches/musl-git-20140310.patch
  60. 0 80
      toolchain/musl/patches/xxx-hotfix-sh.patch

+ 4 - 4
Config.in

@@ -97,7 +97,7 @@ prompt "Kernel Version"
 depends on ADK_TOOLCHAIN_ONLY
 
 config ADK_KERNEL_VERSION_TOOLCHAIN
-	prompt "3.12.13"
+	prompt "3.13.6"
 	boolean
 	depends on ADK_TOOLCHAIN_ONLY
 
@@ -109,8 +109,8 @@ depends on !ADK_TOOLCHAIN_ONLY && !ADK_CHOOSE_TARGET_ARCH && !ADK_CHOOSE_TARGET_
 choice
 prompt "Kernel Version"
 
-config ADK_KERNEL_VERSION_3_13_5
-	prompt "3.13.5"
+config ADK_KERNEL_VERSION_3_13_6
+	prompt "3.13.6"
 	boolean
 
 config ADK_KERNEL_VERSION_3_12_13
@@ -133,7 +133,7 @@ endchoice
 
 config ADK_KERNEL_VERSION
 	string
-	default "3.13.5" if ADK_KERNEL_VERSION_3_13_5
+	default "3.13.6" if ADK_KERNEL_VERSION_3_13_6
 	default "3.12.13" if ADK_KERNEL_VERSION_3_12_13
 	default "3.11.10" if ADK_KERNEL_VERSION_3_11_10
 	default "3.10.30" if ADK_KERNEL_VERSION_3_10_30

+ 23 - 11
mk/build.mk

@@ -39,6 +39,8 @@ DEFCONFIG=		ADK_DEBUG=n \
 			ADK_PKG_XORG=n \
 			ADK_PKG_MPDBOX=n \
 			ADK_PKG_DEVELOPMENT=n \
+			ADK_PKG_CONSOLE=n \
+			ADK_PKG_TEST=n \
 			ADK_TOOLCHAIN_GCC_USE_SSP=n \
 			ADK_TOOLCHAIN_GCC_USE_LTO=n \
 			BUSYBOX_IFPLUGD=n \
@@ -270,12 +272,11 @@ cleandir:
 
 cleantoolchain:
 	@$(TRACE) cleantoolchain
-	@$(MAKE) -C $(CONFIG) clean $(MAKE_TRACE) 
-	rm -rf $(BUILD_DIR_PFX) $(TARGET_DIR_PFX) \
+	@rm -rf $(BUILD_DIR_PFX) $(TARGET_DIR_PFX) \
 	    ${TOPDIR}/package/pkglist.d ${TOPDIR}/package/pkgconfigs.d
-	rm -rf $(TOOLCHAIN_BUILD_DIR_PFX) $(STAGING_HOST_DIR_PFX) $(TOOLS_BUILD_DIR)
-	rm -rf $(STAGING_TARGET_DIR_PFX) $(STAGING_PKG_DIR_PFX)
-	rm -f .menu .tmpconfig.h .rebuild* ${TOPDIR}/package/Depends.mk ${TOPDIR}/prereq.mk
+	@rm -rf $(TOOLCHAIN_BUILD_DIR_PFX) $(STAGING_HOST_DIR_PFX) $(TOOLS_BUILD_DIR)
+	@rm -rf $(STAGING_TARGET_DIR_PFX) $(STAGING_PKG_DIR_PFX)
+	@rm -f .menu .tmpconfig.h .rebuild* ${TOPDIR}/package/Depends.mk
 
 cleantarget:
 	@$(TRACE) cleantarget
@@ -484,26 +485,37 @@ endif # ! ifeq ($(strip $(ADK_HAVE_DOT_CONFIG)),y)
 
 # build all target architecture and libc combinations (toolchain only)
 bulktoolchain:
-	for libc in glibc uclibc musl;do \
+	if [ -z "$(LIBC)" ];then \
+		libc="glibc uclibc musl"; \
+	else \
+		libc="$(LIBC)"; \
+	fi; \
+	for libc in $$libc;do \
 		while read arch; do \
-		    mkdir -p $(TOPDIR)/firmware/toolchain_$${arch}_$$libc; \
+			mkdir -p ${TOPDIR}/firmware; \
 		    ( \
 			echo === building $$arch $$libc toolchain-$$arch on $$(date); \
 			tarch=$$(echo $$arch|sed -e "s#el##" -e "s#eb##" -e "s#mips64.*#mips#"); \
+			if [ -f ${TOPDIR}/firmware/toolchain_$${arch}_$${libc}.tar.xz ];then exit;fi; \
 			$(GMAKE) prereq && \
 				$(GMAKE) ARCH=$$tarch SYSTEM=toolchain-$$arch LIBC=$$libc defconfig; \
-				$(GMAKE) VERBOSE=1 all; if [ $$? -ne 0 ]; then touch .exit;fi; \
-				tar -cvJf ${TOPDIR}/firmware/toolchain_$${arch}_$${libc}.tar.xz host_* target_$${arch}_$${libc}_*; \
+				$(GMAKE) VERBOSE=1 all; if [ $$? -ne 0 ]; then touch .exit; break;fi; \
+				tar -cvJf ${TOPDIR}/firmware/toolchain_$${arch}_$${libc}.tar.xz host_* target_$${arch}_$${libc}*; \
 				$(GMAKE) cleantoolchain; \
 			rm .config; \
-		    ) 2>&1 | tee $(TOPDIR)/firmware/toolchain_$${arch}_$${libc}/build.log; \
+		    ) 2>&1 | tee $(TOPDIR)/firmware/toolchain_$${arch}_$${libc}_build.log; \
 		    if [ -f .exit ];then break;fi \
 		done <${TOPDIR}/target/tarch.lst ;\
 		if [ -f .exit ];then echo "Bulk build failed!"; rm .exit; exit 1;fi \
 	done
 
 test-framework:
-	for libc in uclibc glibc musl;do \
+	if [ -z "$(LIBC)" ];then \
+		libc="glibc uclibc musl"; \
+	else \
+		libc="$(LIBC)"; \
+	fi; \
+	for libc in $$libc;do \
 		mkdir -p $(TOPDIR)/firmware/$(SYSTEM)_$(ARCH)_$$libc; \
 		( \
 			for arch in arm microblaze microblazeel mips mipsel mips64 mips64el ppc ppc64 sh4 sh4eb sparc sparc64 i686 x86_64;do \

+ 9 - 7
mk/kernel-build.mk

@@ -42,28 +42,30 @@ else
 	$(CP) $(BUILD_DIR)/.kernelconfig $(LINUX_DIR)/.config
 	echo N | ${KERNEL_MAKE_ENV} $(MAKE) ${KERNEL_MAKE_OPTS} oldconfig $(MAKE_TRACE)
 endif
-	${KERNEL_MAKE_ENV} $(MAKE) ${KERNEL_MAKE_OPTS} prepare scripts $(MAKE_TRACE)
 	touch -c $(LINUX_DIR)/.config
 
 $(LINUX_DIR)/$(KERNEL_FILE): $(LINUX_DIR)/.config
-	-rm $(LINUX_DIR)/$(KERNEL_TARGET) 2>/dev/null
 	$(TRACE) target/$(ADK_TARGET_ARCH)-kernel-compile
-	${KERNEL_MAKE_ENV} $(MAKE) V=1 ${KERNEL_MAKE_OPTS} -j${ADK_MAKE_JOBS} LOCALVERSION="" $(KERNEL_TARGET) $(MAKE_TRACE)
+	${KERNEL_MAKE_ENV} $(MAKE) ${KERNEL_MAKE_OPTS} -j${ADK_MAKE_JOBS} LOCALVERSION="" $(KERNEL_TARGET) modules $(MAKE_TRACE)
+	touch -c $(LINUX_DIR)/$(KERNEL_FILE)
+
+$(LINUX_BUILD_DIR)/modules: $(LINUX_DIR)/$(KERNEL_FILE)
 	$(TRACE) target/$(ADK_TARGET_ARCH)-kernel-modules-install
 	rm -rf $(LINUX_BUILD_DIR)/modules
 	${KERNEL_MAKE_ENV} $(MAKE) ${KERNEL_MAKE_OPTS} DEPMOD=true \
 		INSTALL_MOD_PATH=$(LINUX_BUILD_DIR)/modules \
 		LOCALVERSION="" \
-		modules modules_install $(MAKE_TRACE)
+		modules_install $(MAKE_TRACE)
 	$(TRACE) target/$(ADK_TARGET_ARCH)-create-packages
 ifneq ($(strip $(TARGETS)),)
 	$(MAKE) $(TARGETS)
 endif
-	touch -c $(LINUX_DIR)/$(KERNEL_FILE)
+
+$(INSTALL_TARGETS): $(LINUX_BUILD_DIR)/modules
 
 prepare:
-compile: $(LINUX_DIR)/$(KERNEL_FILE)
-install: compile
+compile: $(LINUX_BUILD_DIR)/modules
+install: compile $(INSTALL_TARGETS)
 ifneq ($(strip $(INSTALL_TARGETS)),)
 	$(TRACE) target/${ADK_TARGET_ARCH}-modules-install
 ifeq ($(ADK_TARGET_PACKAGE_IPKG),y)

+ 5 - 5
mk/kernel-ver.mk

@@ -1,14 +1,14 @@
 ifeq ($(ADK_KERNEL_VERSION_TOOLCHAIN),y)
-KERNEL_VERSION:=	3.12.13
+KERNEL_VERSION:=	3.13.6
 KERNEL_MOD_VERSION:=	$(KERNEL_VERSION)
 KERNEL_RELEASE:=	1
-KERNEL_MD5SUM:=		345f5883cfb906dac4aef87e303d3a2d
+KERNEL_MD5SUM:=		445aa27da818617409982f42902a6e41
 endif
-ifeq ($(ADK_KERNEL_VERSION_3_13_5),y)
-KERNEL_VERSION:=	3.13.5
+ifeq ($(ADK_KERNEL_VERSION_3_13_6),y)
+KERNEL_VERSION:=	3.13.6
 KERNEL_MOD_VERSION:=	$(KERNEL_VERSION)
 KERNEL_RELEASE:=	1
-KERNEL_MD5SUM:=		b9fa20262a7ecbbc3277aa2ee10412da
+KERNEL_MD5SUM:=		445aa27da818617409982f42902a6e41
 endif
 ifeq ($(ADK_KERNEL_VERSION_3_12_13),y)
 KERNEL_VERSION:=	3.12.13

+ 20 - 4
mk/modules.mk

@@ -1198,8 +1198,11 @@ $(eval $(call KMOD_template,SND_CS5535AUDIO,snd-cs5535audio,\
 	$(MODULES_DIR)/kernel/sound/pci/cs5535audio/snd-cs5535audio \
 ,55))
 
-$(eval $(call KMOD_template,SND_PXA2XX_SOC_SPITZ,snd-pxa2xx-soc-spitz,\
+$(eval $(call KMOD_template,SND_SOC,snd-soc,\
 	$(MODULES_DIR)/kernel/sound/soc/snd-soc-core \
+,54))
+
+$(eval $(call KMOD_template,SND_PXA2XX_SOC_SPITZ,snd-pxa2xx-soc-spitz,\
 	$(MODULES_DIR)/kernel/sound/arm/snd-pxa2xx-lib \
 	$(MODULES_DIR)/kernel/sound/arm/snd-pxa2xx-pcm \
 	$(MODULES_DIR)/kernel/sound/arm/snd-pxa2xx-ac97 \
@@ -1207,12 +1210,25 @@ $(eval $(call KMOD_template,SND_PXA2XX_SOC_SPITZ,snd-pxa2xx-soc-spitz,\
 	$(MODULES_DIR)/kernel/sound/soc/pxa/snd-soc-pxa2xx-i2s \
 	$(MODULES_DIR)/kernel/sound/soc/pxa/snd-soc-pxa2xx \
 	$(MODULES_DIR)/kernel/sound/soc/pxa/snd-soc-spitz \
-,55))
+,55, kmod-snd-soc))
 
 $(eval $(call KMOD_template,SND_BCM2835,snd-bcm2835,\
 	$(MODULES_DIR)/kernel/sound/arm/snd-bcm2835 \
 ,55))
 
+$(eval $(call KMOD_template,SND_BCM2708_SOC_I2S,snd-bcm2709-soc-i2s,\
+	$(MODULES_DIR)/kernel/sound/soc/codecs/snd-soc-pcm5102a \
+	$(MODULES_DIR)/kernel/sound/soc/bcm/snd-soc-bcm2708-i2s \
+,55, kmod-snd-soc))
+
+$(eval $(call KMOD_template,SND_BCM2708_SOC_HIFIBERRY_DAC,snd-bcm2709-soc-hifiberry-dac,\
+	$(MODULES_DIR)/kernel/sound/soc/bcm/snd-soc-hifiberry-dac \
+,56, kmod-snd-bcm2709-soc-i2s))
+
+$(eval $(call KMOD_template,SND_BCM2708_SOC_HIFIBERRY_DIGI,snd-bcm2709-soc-hifiberry-digi,\
+	$(MODULES_DIR)/kernel/sound/soc/bcm/snd-soc-hifiberry-digi \
+,56, kmod-snd-bcm2709-soc-i2s))
+
 #ifeq ($(ADK_LINUX_64),y)
 #V4L_COMPAT:=drivers/media/video/v4l2-compat-ioctl32
 #endif
@@ -1401,8 +1417,8 @@ $(eval $(call KMOD_template,BT_RFCOMM,bt-rfcomm,\
 # Misc devices
 #
 
-$(eval $(call KMOD_template,SOFTDOG,softdog,\
-	$(MODULES_DIR)/kernel/drivers/char/watchdog/softdog \
+$(eval $(call KMOD_template,SOFT_WATCHDOG,soft-watchdog,\
+	$(MODULES_DIR)/kernel/drivers/watchdog/softdog \
 ,95))
 
 $(eval $(call KMOD_template,FW_LOADER,fw-loader,\

+ 0 - 5
mk/pkg-bottom.mk

@@ -213,11 +213,6 @@ endif
 	touch $@
 
 ${_IPKGS_COOKIE}:
-	@clean=0; \
-	for f in ${ALL_IPKGS}; do \
-		[[ -e $$f ]] && clean=1; \
-	done; \
-	[[ $$clean = 0 ]] || ${MAKE} clean
 	exec ${MAKE} package
 
 package: ${ALL_IPKGS}

+ 28 - 0
package/adk-test-tools/Makefile

@@ -0,0 +1,28 @@
+# This file is part of the OpenADK project. OpenADK is copyrighted
+# material, please see the LICENCE file in the top-level directory.
+
+include $(TOPDIR)/rules.mk
+
+PKG_NAME:=		adk-test-tools
+PKG_VERSION:=		0.1
+PKG_RELEASE:=		1
+PKG_DESCR:=		helper tools and scripts for adk-test-framework
+PKG_SECTION:=		misc
+PKG_URL:=		http://openadk.org/
+
+NO_DISTFILES:=		1
+
+include $(TOPDIR)/mk/package.mk
+
+$(eval $(call PKG_template,ADK_TEST_TOOLS,adk-test-tools,$(PKG_VERSION)-${PKG_RELEASE},${PKG_DEPENDS},${PKG_DESCR},${PKG_SECTION}))
+
+CONFIG_STYLE:=		manual
+BUILD_STYLE:=		manual
+INSTALL_STYLE:=		manual
+
+adk-test-tools-install:
+	$(INSTALL_DIR) $(IDIR_ADK_TEST_TOOLS)/usr/bin
+	$(INSTALL_BIN) $(WRKBUILD)/{qmp,quit} \
+		$(IDIR_ADK_TEST_TOOLS)/usr/bin
+
+include ${TOPDIR}/mk/pkg-bottom.mk

+ 11 - 0
package/adk-test-tools/files/test.init

@@ -0,0 +1,11 @@
+#!/bin/sh
+#PKG adk-test-tools
+#INIT 90
+[[ $1 = autostart ]] || exit 0
+echo "Starting test script ..."
+if [ -x /run.sh ];then
+	exec /run.sh
+else
+	echo "no run.sh found"
+fi
+quit

+ 4 - 0
package/adk-test-tools/src/qmp

@@ -0,0 +1,4 @@
+#!/bin/sh
+echo '{ "execute": "qmp_capabilities" }'
+sleep 1
+echo '{ "execute": "quit" }'

+ 2 - 0
package/adk-test-tools/src/quit

@@ -0,0 +1,2 @@
+#!/bin/sh
+socat exec:/usr/bin/qmp tcp:10.0.2.2:4444

+ 1 - 1
package/base-files/Makefile

@@ -6,7 +6,7 @@ include $(TOPDIR)/mk/rootfs.mk
 
 PKG_NAME:=		base-files
 PKG_VERSION:=		1.0
-PKG_RELEASE:=		68
+PKG_RELEASE:=		69
 PKG_SECTION:=		base
 PKG_DESCR:=		basic files and scripts
 PKG_BUILDDEP:=		pkgconf-host file-host

+ 0 - 1
package/base-files/src/etc/fstab

@@ -1,7 +1,6 @@
 # /etc/fstab: static file system information.
 #
 # <file system> <mount pt>     <type>   <options>         <dump> <pass>
-#/dev/root       /              ext2     rw,noauto         0      1
 proc            /proc          proc     defaults          0      0
 devpts          /dev/pts       devpts   defaults,gid=5,mode=620   0      0
 tmpfs           /dev/shm       tmpfs    mode=0777         0      0

+ 7 - 2
package/base-files/src/etc/group

@@ -1,4 +1,9 @@
 root:x:0:
-video:x:1:
-audio:x:2:
+daemon:x:1:
+bin:x:2:
+sys:x:3:
+adm:x:4:
+tty:x:5:
+video:x:6:
+audio:x:7:
 nogroup:x:65534:

+ 0 - 5
package/base-files/src/etc/init.d/boot

@@ -4,11 +4,6 @@
 
 . /etc/functions.sh
 
-# disable kernel messages
-if [ -f /proc/sys/kernel/printk ];then
-	echo 0 > /proc/sys/kernel/printk
-fi
-
 # remount /dev with smaller size
 mount -o remount,nosuid,size=128k,mode=0755 -t tmpfs mdev /dev
 

+ 69 - 0
package/base-files/src/etc/init.d/fs

@@ -0,0 +1,69 @@
+#!/bin/sh
+#INIT 60
+[[ $1 = autostart ]] || exit 0
+
+# activate swap
+[ -x /sbin/swapon ] && { swapon -a; }
+
+# activate any logical volumes
+[ -x /usr/sbin/lvm ] && { lvm vgscan; lvm vgchange -ay; }
+
+# filesystem checks
+[ -x /sbin/fsck.ext2 ] && {
+	for i in $(grep ext2 /etc/fstab|awk '{ print $1}');do fsck.ext2 $i;done;
+}
+[ -x /sbin/fsck.ext3 ] && {
+	for i in $(grep ext3 /etc/fstab|awk '{ print $1}');do fsck.ext3 $i;done;
+}
+[ -x /sbin/fsck.ext4 ] && {
+	for i in $(grep ext4 /etc/fstab|awk '{ print $1}');do fsck.ext4 $i;done;
+}
+[ -x /sbin/fsck.xfs ] && {
+	for i in $(grep xfs /etc/fstab|awk '{ print $1}');do xfs_repair $i;done;
+}
+# local filesystems
+grep ext2 /proc/filesystems  >/dev/null 2>&1
+if [ $? -eq 0 ];then
+	grep ext2 /etc/fstab  >/dev/null 2>&1
+	if [ $? -eq 0 ];then
+		mount -a -t ext2
+	fi
+fi
+grep ext3 /proc/filesystems  >/dev/null 2>&1
+if [ $? -eq 0 ];then
+	grep ext3 /etc/fstab  >/dev/null 2>&1
+	if [ $? -eq 0 ];then
+		mount -a -t ext3
+	fi
+fi
+grep ext4 /proc/filesystems  >/dev/null 2>&1
+if [ $? -eq 0 ];then
+	grep ext4 /etc/fstab  >/dev/null 2>&1
+	if [ $? -eq 0 ];then
+		mount -a -t ext4
+	fi
+fi
+grep xfs /proc/filesystems  >/dev/null 2>&1
+if [ $? -eq 0 ];then
+	grep xfs /etc/fstab  >/dev/null 2>&1
+	if [ $? -eq 0 ];then
+		mount -a -t xfs
+	fi
+fi
+
+# mount net filesystems (nfs/cifs)
+grep nfs /proc/filesystems  >/dev/null 2>&1
+if [ $? -eq 0 ];then
+	grep nfs /etc/fstab  >/dev/null 2>&1
+	if [ $? -eq 0 ];then
+		mount -a -t nfs
+	fi
+fi
+grep cifs /proc/filesystems  >/dev/null 2>&1
+if [ $? -eq 0 ];then
+	grep cifs /etc/fstab >/dev/null 2>&1
+	if [ $? -eq 0 ];then
+		mount -a -t cifs
+	fi
+fi
+exit 0

+ 4 - 0
package/base-files/src/etc/init.d/rcS

@@ -1,4 +1,8 @@
 #!/bin/sh
+# disable kernel messages
+if [ -f /proc/sys/kernel/printk ];then
+	echo 0 > /proc/sys/kernel/printk
+fi
 echo "System initialization ..."
 export PATH=/bin:/sbin:/usr/bin:/usr/sbin
 ln -s /proc/self/fd/2 /dev/stderr

+ 3 - 1
package/base-files/src/etc/inittab

@@ -1,7 +1,9 @@
 null::sysinit:/bin/mount -t proc proc /proc
+null::sysinit:/bin/mount -t sysfs sys /sys
 null::sysinit:/bin/mkdir -p /dev/pts
 null::sysinit:/bin/mkdir -p /dev/shm
-null::sysinit:/bin/mount -a
+null::sysinit:/bin/mount -a -t devpts
+null::sysinit:/bin/mount -a -t tmpfs
 ::sysinit:/etc/init.d/rcS
 ::shutdown:/etc/init.d/rcK
 null::shutdown:/bin/umount -a -r

+ 1 - 1
package/busybox/Makefile

@@ -5,7 +5,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=		busybox
 PKG_VERSION:=		1.21.1
-PKG_RELEASE:=		4
+PKG_RELEASE:=		5
 PKG_MD5SUM:=		795394f83903b5eec6567d51eebb417e
 PKG_DESCR:=		core utilities for embedded systems
 PKG_SECTION:=		base

+ 6 - 2
package/busybox/files/syslog.init

@@ -11,10 +11,14 @@ autostart)
 	;;
 start)
 	/sbin/syslogd $syslogd_flags
-	/sbin/klogd
+	if [ -f /proc/sys/kernel/printk ];then
+		/sbin/klogd
+	fi
 	;;
 stop)
-	kill $(pgrep -f /sbin/klogd)
+	if [ -f /proc/sys/kernel/printk ];then
+		kill $(pgrep -f /sbin/klogd)
+	fi
 	kill $(pgrep -f /sbin/syslogd)
 	;;
 restart)

+ 1 - 1
package/dropbear/Makefile

@@ -14,7 +14,7 @@ PKG_SITES:=		http://matt.ucc.asn.au/dropbear/releases/
 
 DISTFILES:=		${PKG_NAME}-${PKG_VERSION}.tar.bz2
 
-PKG_DFLT_DROPBEAR:=	y if !ADK_TOOLCHAIN_ONLY
+PKG_DFLT_DROPBEAR:=	y if !ADK_TOOLCHAIN_ONLY && !ADK_PKG_TEST
 PKG_SUBPKGS:=		DROPBEAR DBCONVERT
 PKGSD_DBCONVERT:=	Utility for converting SSH private keys
 

+ 3 - 3
package/musl/Makefile

@@ -55,13 +55,13 @@ endif
 
 # do nothing, musl is already build in toolchain directory
 do-install:
-	${INSTALL_DIR} $(IDIR_MUSL)/usr/bin
+	${INSTALL_DIR} $(IDIR_MUSL)/bin
 	${INSTALL_DIR} $(IDIR_MUSL)/$(ADK_TARGET_LIBC_PATH)
 	$(CP) $(STAGING_TARGET_DIR)/usr/lib/libc.so $(IDIR_MUSL)/$(ADK_TARGET_LIBC_PATH)
 	(cd $(IDIR_MUSL)/$(ADK_TARGET_LIBC_PATH) && \
 		ln -sf libc.so ld-musl-$(MARCH).so.1)
-	(cd $(IDIR_MUSL)/usr/bin && \
-		ln -sf ../../lib/ld-musl-$(MARCH).so.1 ldd)
+	(cd $(IDIR_MUSL)/bin && \
+		ln -sf ../lib/ld-musl-$(MARCH).so.1 ldd)
 	
 
 musl-dev-install:

+ 18 - 5
package/strace/patches/patch-process_c

@@ -1,5 +1,5 @@
 --- strace-4.8.orig/process.c	2013-05-18 00:22:19.000000000 +0200
-+++ strace-4.8/process.c	2014-02-25 20:02:55.000000000 +0100
++++ strace-4.8/process.c	2014-03-07 11:15:51.318966166 +0100
 @@ -55,7 +55,7 @@
  # endif
  #endif
@@ -9,18 +9,31 @@
  # undef PTRACE_SYSCALL
  # ifdef HAVE_STRUCT_IA64_FPREG
  #  define ia64_fpreg XXX_ia64_fpreg
-@@ -104,6 +104,10 @@
+@@ -104,6 +104,14 @@
  # include <asm/rse.h>
  #endif
  
 +#ifdef __arm__
 +#include <asm/ptrace.h>
 +#endif
++
++#ifdef __microblaze__
++#include <asm/ptrace.h>
++#endif
 +
  #ifdef HAVE_PRCTL
  # include <sys/prctl.h>
  
-@@ -2857,7 +2861,7 @@ sys_sched_setscheduler(struct tcb *tcp)
+@@ -2472,7 +2480,7 @@ const struct xlat struct_user_offsets[]
+ #elif defined(TILE)
+ 	/* nothing */
+ #elif defined(MICROBLAZE)
+-	{ sizeof(struct user),	"sizeof(struct user)"			},
++	/* nothing */
+ #elif defined(AVR32)
+ 	{ uoff(u_tsize),	"offsetof(struct user, u_tsize)"	},
+ 	{ uoff(u_dsize),	"offsetof(struct user, u_dsize)"	},
+@@ -2857,7 +2865,7 @@ sys_sched_setscheduler(struct tcb *tcp)
  		if (umove(tcp, tcp->u_arg[2], &p) < 0)
  			tprintf(", %#lx", tcp->u_arg[2]);
  		else
@@ -29,7 +42,7 @@
  	}
  	return 0;
  }
-@@ -2872,7 +2876,7 @@ sys_sched_getparam(struct tcb *tcp)
+@@ -2872,7 +2880,7 @@ sys_sched_getparam(struct tcb *tcp)
  		if (umove(tcp, tcp->u_arg[1], &p) < 0)
  			tprintf("%#lx", tcp->u_arg[1]);
  		else
@@ -38,7 +51,7 @@
  	}
  	return 0;
  }
-@@ -2885,7 +2889,7 @@ sys_sched_setparam(struct tcb *tcp)
+@@ -2885,7 +2893,7 @@ sys_sched_setparam(struct tcb *tcp)
  		if (umove(tcp, tcp->u_arg[1], &p) < 0)
  			tprintf("%d, %#lx", (int) tcp->u_arg[0], tcp->u_arg[1]);
  		else

+ 12 - 0
package/strace/patches/patch-util_c

@@ -0,0 +1,12 @@
+--- strace-4.8.orig/util.c	2013-05-06 20:23:01.000000000 +0200
++++ strace-4.8/util.c	2014-03-07 15:34:01.074036954 +0100
+@@ -55,7 +55,9 @@
+ # ifdef HAVE_STRUCT_PT_ALL_USER_REGS
+ #  define pt_all_user_regs XXX_pt_all_user_regs
+ # endif
++#if !defined(SH)
+ # include <linux/ptrace.h>
++#endif
+ # undef ia64_fpreg
+ # undef pt_all_user_regs
+ #endif

+ 2 - 9
target/config/Config.in.runtime

@@ -77,7 +77,7 @@ prompt "Initial login shell for the root user"
 default ADK_ROOTSH_MKSH
 
 config ADK_ROOTSH_MKSH
-	select ADK_PACKAGE_MKSH
+	select ADK_PACKAGE_MKSH if !ADK_TOOLCHAIN_ONLY
 	bool "mksh (MirBSD Korn Shell)"
 	help
 	  Use mksh (a Korn Shell variant) as standard login shell
@@ -97,13 +97,6 @@ config ADK_ROOTSH_BASH
 	help
 	  Use GNU bash as standard login shell for the superuser.
 
-config ADK_ROOTSH_MKSH
-	select ADK_PACKAGE_MKSH
-	bool "mksh (MirBSD Korn Shell)"
-	help
-	  Use mksh (a Korn Shell variant) as standard login shell
-	  for the superuser.
-
 config ADK_ROOTSH_TCSH
 	select ADK_PACKAGE_TCSH
 	bool "tcsh (Tenex C Shell)"
@@ -124,7 +117,7 @@ prompt "System /bin/sh (POSIX script shell)"
 default ADK_BINSH_MKSH
 
 config ADK_BINSH_MKSH
-	select ADK_PACKAGE_MKSH
+	select ADK_PACKAGE_MKSH if !ADK_TOOLCHAIN_ONLY
 	bool "mksh (MirBSD Korn Shell)"
 	help
 	  Use mksh (a Korn Shell variant) as system shell, which is

+ 28 - 5
target/linux/config/Config.in.audio

@@ -7,9 +7,6 @@ config ADK_KERNEL_SND_ARM
 config ADK_KERNEL_SND_USB
 	boolean
 
-config ADK_KERNEL_SND_SOC
-	boolean
-
 config ADK_KERNEL_SND_PXA2XX_AC97
 	boolean
 
@@ -105,6 +102,10 @@ config ADK_KPACKAGE_KMOD_SND_CS5535AUDIO
 	help
 	 ALSA AMD CS5535 driver
 
+config ADK_KPACKAGE_KMOD_SND_SOC
+	tristate
+	default n
+
 config ADK_KERNEL_SND_PXA2XX_SOC
 	tristate
 	default n
@@ -113,10 +114,10 @@ config ADK_KPACKAGE_KMOD_SND_PXA2XX_SOC_SPITZ
 	prompt "kmod-snd-pxa2xx-soc-spitz..... ALSA SOC Sharp Zaurus"
 	tristate
 	select ADK_KERNEL_SND_ARM
-	select ADK_KERNEL_SND_SOC
 	select ADK_KERNEL_SND_PXA2XX_AC97
-	select ADK_KPACKAGE_KMOD_SND_AC97_CODEC
 	select ADK_KPACKAGE_KMOD_SND
+	select ADK_KPACKAGE_KMOD_SND_AC97_CODEC
+	select ADK_KPACKAGE_KMOD_SND_SOC
 	select ADK_KERNEL_SND_PXA2XX_SOC
 	depends on ADK_TARGET_SYSTEM_SHARP_ZAURUS
 	default y if ADK_TARGET_SYSTEM_SHARP_ZAURUS
@@ -131,4 +132,26 @@ config ADK_KPACKAGE_KMOD_SND_BCM2835
 	default y if ADK_TARGET_SYSTEM_RASPBERRY_PI
 	default n
 
+config ADK_KPACKAGE_KMOD_SND_BCM2708_SOC_I2S
+	prompt "kmod-snd-bcm2708-soc-i2s........ ALSA SOC I2S Raspberry PI"
+	select ADK_KPACKAGE_KMOD_SND
+	select ADK_KERNEL_SND_ARM
+	select ADK_KPACKAGE_KMOD_SND_SOC
+	boolean
+	default n
+
+config ADK_KPACKAGE_KMOD_SND_BCM2708_SOC_HIFIBERRY_DAC
+	prompt "kmod-snd-bcm2708-hifiberry-dac.... ALSA for Raspberry PI with hifiberry DAC"
+	tristate
+	select ADK_KPACKAGE_KMOD_SND_BCM2708_SOC_I2S
+	depends on ADK_TARGET_SYSTEM_RASPBERRY_PI
+	default n
+
+config ADK_KPACKAGE_KMOD_SND_BCM2708_SOC_HIFIBERRY_DIGI
+	prompt "kmod-snd-bcm2708-hifiberry-digi... ALSA for Raspberry PI with hifiberry DIGI"
+	tristate
+	select ADK_KPACKAGE_KMOD_SND_BCM2708_SOC_I2S
+	depends on ADK_TARGET_SYSTEM_RASPBERRY_PI
+	default n
+
 endmenu

+ 1 - 0
target/linux/config/Config.in.debug

@@ -34,6 +34,7 @@ config ADK_KERNEL_PRINTK
 	boolean
 	select ADK_KERNEL_EARLY_PRINTK
 	default y
+	depends on !ADK_PKG_TEST
 	help
 	  Disable printk to save space and quieten bootup.
 

+ 7 - 4
target/linux/config/Config.in.netfilter.ip4

@@ -37,9 +37,10 @@ config ADK_KPACKAGE_KMOD_IP_NF_FILTER
 config ADK_KPACKAGE_KMOD_FULL_NAT
 	tristate "Meta package for Full NAT"
 	select ADK_KPACKAGE_KMOD_NF_NAT if ADK_KERNEL_VERSION_3_4_82
+	select ADK_KPACKAGE_KMOD_NF_NAT_IPV4 if ADK_KERNEL_VERSION_3_10_30
 	select ADK_KPACKAGE_KMOD_NF_NAT_IPV4 if ADK_KERNEL_VERSION_3_11_10
-	select ADK_KPACKAGE_KMOD_NF_NAT_IPV4 if ADK_KERNEL_VERSION_3_12_11
-	select ADK_KPACKAGE_KMOD_NF_NAT_IPV4 if ADK_KERNEL_VERSION_3_13_5
+	select ADK_KPACKAGE_KMOD_NF_NAT_IPV4 if ADK_KERNEL_VERSION_3_12_13
+	select ADK_KPACKAGE_KMOD_NF_NAT_IPV4 if ADK_KERNEL_VERSION_3_13_6
 
 config ADK_KPACKAGE_KMOD_NF_NAT
 	tristate 'Full NAT'
@@ -53,8 +54,10 @@ config ADK_KPACKAGE_KMOD_NF_NAT
 config ADK_KPACKAGE_KMOD_NF_NAT_IPV4
 	tristate 'Full NAT'
 	depends on ADK_KPACKAGE_KMOD_IP_NF_IPTABLES
-	depends on ADK_KERNEL_VERSION_3_11_10 || ADK_KERNEL_VERSION_3_12_11 \
-		|| ADK_KERNEL_VERSION_3_13_5
+	depends on ADK_KERNEL_VERSION_3_10_30 \
+		|| ADK_KERNEL_VERSION_3_11_10 \
+		|| ADK_KERNEL_VERSION_3_12_13 \
+		|| ADK_KERNEL_VERSION_3_13_6
 	help
 	  The Full NAT option allows masquerading, port forwarding and other
 	  forms of full Network Address Port Translation.  It is controlled by

+ 1 - 1
target/linux/config/Config.in.watchdog

@@ -73,7 +73,7 @@ config ADK_KERNEL_RC32434_WDT
 	 Routerboard 532's SoC, the IDT RC32434.
 
 config ADK_KPACKAGE_KMOD_SOFT_WATCHDOG
-	prompt "kmod-softdog...................... Software watchdog"
+	prompt "kmod-soft-watchdog...................... Software watchdog"
 	tristate
 	default n
 	select ADK_KERNEL_WATCHDOG

Tiedoston diff-näkymää rajattu, sillä se on liian suuri
+ 259 - 221
target/linux/patches/3.12.13/raspberry.patch


+ 0 - 0
target/linux/patches/3.13.5/bsd-compatibility.patch → target/linux/patches/3.13.6/bsd-compatibility.patch


+ 0 - 0
target/linux/patches/3.13.5/defaults.patch → target/linux/patches/3.13.6/defaults.patch


+ 0 - 0
target/linux/patches/3.13.5/disable-netfilter.patch → target/linux/patches/3.13.6/disable-netfilter.patch


+ 0 - 0
target/linux/patches/3.13.5/export-symbol-for-exmap.patch → target/linux/patches/3.13.6/export-symbol-for-exmap.patch


+ 0 - 0
target/linux/patches/3.13.5/gemalto.patch → target/linux/patches/3.13.6/gemalto.patch


+ 0 - 0
target/linux/patches/3.13.5/lemote-rfkill.patch → target/linux/patches/3.13.6/lemote-rfkill.patch


+ 0 - 0
target/linux/patches/3.13.5/microblaze-axi.patch → target/linux/patches/3.13.6/microblaze-axi.patch


+ 12 - 0
target/linux/patches/3.13.6/microblaze-early-printk.patch

@@ -0,0 +1,12 @@
+diff -Nur linux-3.13.6.orig/arch/microblaze/include/asm/setup.h linux-3.13.6/arch/microblaze/include/asm/setup.h
+--- linux-3.13.6.orig/arch/microblaze/include/asm/setup.h	2014-03-07 07:07:02.000000000 +0100
++++ linux-3.13.6/arch/microblaze/include/asm/setup.h	2014-03-12 13:28:53.315145258 +0100
+@@ -19,8 +19,6 @@
+ 
+ extern char *klimit;
+ 
+-void early_printk(const char *fmt, ...);
+-
+ int setup_early_printk(char *opt);
+ void remap_early_printk(void);
+ void disable_early_printk(void);

+ 0 - 0
target/linux/patches/3.13.5/microblaze-ethernet.patch → target/linux/patches/3.13.6/microblaze-ethernet.patch


+ 0 - 0
target/linux/patches/3.13.5/microblaze-setup.patch → target/linux/patches/3.13.6/microblaze-setup.patch


+ 0 - 0
target/linux/patches/3.13.5/mtd-rootfs.patch → target/linux/patches/3.13.6/mtd-rootfs.patch


+ 0 - 0
target/linux/patches/3.13.5/non-static.patch → target/linux/patches/3.13.6/non-static.patch


+ 0 - 0
target/linux/patches/3.13.5/ppc64-missing-zlib.patch → target/linux/patches/3.13.6/ppc64-missing-zlib.patch


+ 0 - 0
target/linux/patches/3.13.5/ppc64-missing_arch_random.patch → target/linux/patches/3.13.6/ppc64-missing_arch_random.patch


Tiedoston diff-näkymää rajattu, sillä se on liian suuri
+ 270 - 223
target/linux/patches/3.13.6/raspberry.patch


+ 0 - 0
target/linux/patches/3.13.5/startup.patch → target/linux/patches/3.13.6/startup.patch


+ 0 - 0
target/linux/patches/3.13.5/uuid.patch → target/linux/patches/3.13.6/uuid.patch


+ 0 - 0
target/linux/patches/3.13.5/vga-cons-default-off.patch → target/linux/patches/3.13.6/vga-cons-default-off.patch


+ 0 - 0
target/linux/patches/3.13.5/wlan-cf.patch → target/linux/patches/3.13.6/wlan-cf.patch


+ 0 - 0
target/linux/patches/3.13.5/xargs.patch → target/linux/patches/3.13.6/xargs.patch


+ 0 - 0
target/linux/patches/3.13.5/zlib-inflate.patch → target/linux/patches/3.13.6/zlib-inflate.patch


+ 1 - 0
target/packages/pkg-available/test

@@ -1,6 +1,7 @@
 config ADK_PKG_TEST
 	bool "Compile a ADK test framework system"
 	default n
+	select ADK_PACKAGE_ADK_TEST_TOOLS
 	select ADK_PACKAGE_STRACE
 	select ADK_PACKAGE_SOCAT
 	select ADK_PACKAGE_MAKE

+ 3 - 3
target/sparc/Makefile

@@ -18,7 +18,7 @@ ifeq ($(ADK_TARGET_SYSTEM_QEMU_SPARC),y)
 	@echo "Use following command to create a QEMU Image:"
 	@echo "./scripts/create.sh +g qemu-${CPU_ARCH}.img $(FW_DIR)/$(ROOTFSTARBALL)"
 	@echo "Start qemu with following command line:"
-	@echo 'qemu-system-sparc -nographic -kernel $(FW_DIR)/$(TARGET_KERNEL) qemu-${CPU_ARCH}.img -append "root=/dev/sda1"'
+	@echo 'qemu-system-sparc -M SS-5 -nographic -kernel $(FW_DIR)/$(TARGET_KERNEL) qemu-${CPU_ARCH}.img -append "root=/dev/sda1"'
 endif
 endif
 ifeq ($(ADK_TARGET_FS),initramfs)
@@ -28,7 +28,7 @@ imageinstall: $(FW_DIR)/$(INITRAMFS)
 	@echo 'The initramfs image is: ${FW_DIR}/${INITRAMFS}'
 ifeq ($(ADK_TARGET_SYSTEM_QEMU_SPARC),y)
 	@echo "Start qemu with following command line:"
-	@echo 'qemu-system-sparc -nographic -kernel $(FW_DIR)/$(TARGET_KERNEL) -initrd ${FW_DIR}/${INITRAMFS}'
+	@echo 'qemu-system-sparc -M SS-5 -nographic -kernel $(FW_DIR)/$(TARGET_KERNEL) -initrd ${FW_DIR}/${INITRAMFS}'
 endif
 endif
 ifeq ($(ADK_TARGET_FS),initramfs-piggyback)
@@ -37,6 +37,6 @@ imageinstall: createinitramfs
 	@echo 'The kernel+initramfs file is: $(FW_DIR)/${TARGET_KERNEL}'
 ifeq ($(ADK_TARGET_SYSTEM_QEMU_SPARC),y)
 	@echo "Start qemu with following command line:"
-	@echo 'qemu-system-sparc -nographic -kernel $(FW_DIR)/$(TARGET_KERNEL)'
+	@echo 'qemu-system-sparc -M SS-5 -nographic -kernel $(FW_DIR)/$(TARGET_KERNEL)'
 endif
 endif

+ 0 - 0
toolchain/kernel-headers/patches/3.13.5/cleankernel.patch → toolchain/kernel-headers/patches/3.13.6/cleankernel.patch


+ 0 - 0
toolchain/kernel-headers/patches/3.13.5/microperl.patch → toolchain/kernel-headers/patches/3.13.6/microperl.patch


+ 0 - 0
toolchain/kernel-headers/patches/3.13.5/mkpiggy.patch → toolchain/kernel-headers/patches/3.13.6/mkpiggy.patch


+ 0 - 0
toolchain/kernel-headers/patches/3.13.5/relocs.patch → toolchain/kernel-headers/patches/3.13.6/relocs.patch


+ 0 - 0
toolchain/kernel-headers/patches/3.13.5/sgidefs.patch → toolchain/kernel-headers/patches/3.13.6/sgidefs.patch


+ 0 - 0
toolchain/kernel-headers/patches/3.13.5/sortext.patch → toolchain/kernel-headers/patches/3.13.6/sortext.patch


Tiedoston diff-näkymää rajattu, sillä se on liian suuri
+ 201 - 102
toolchain/musl/patches/musl-git-20140310.patch


+ 0 - 80
toolchain/musl/patches/xxx-hotfix-sh.patch

@@ -1,80 +0,0 @@
-* thx to nsz from #musl
-diff -Nur musl-git/arch/sh/bits/user.h musl-sh/arch/sh/bits/user.h
---- musl-git/arch/sh/bits/user.h	1970-01-01 01:00:00.000000000 +0100
-+++ musl-sh/arch/sh/bits/user.h	2014-03-07 15:08:42.000000000 +0100
-@@ -0,0 +1,75 @@
-+#undef __WORDSIZE
-+#define __WORDSIZE 32
-+
-+#define REG_REG0	 0
-+#define REG_REG15	15
-+#define REG_PC		16
-+#define REG_PR		17
-+#define REG_SR		18
-+#define REG_GBR		19
-+#define REG_MACH	20
-+#define REG_MACL	21
-+#define REG_SYSCALL	22
-+#define REG_FPREG0	23
-+#define REG_FPREG15	38
-+#define REG_XFREG0	39
-+#define REG_XFREG15	54
-+#define REG_FPSCR	55
-+#define REG_FPUL	56
-+
-+struct pt_regs {
-+	unsigned long regs[16];
-+	unsigned long pc;
-+	unsigned long pr;
-+	unsigned long sr;
-+	unsigned long gbr;
-+	unsigned long mach;
-+	unsigned long macl;
-+	long tra;
-+};
-+
-+struct pt_dspregs {
-+	unsigned long a1;
-+	unsigned long a0g;
-+	unsigned long a1g;
-+	unsigned long m0;
-+	unsigned long m1;
-+	unsigned long a0;
-+	unsigned long x0;
-+	unsigned long x1;
-+	unsigned long y0;
-+	unsigned long y1;
-+	unsigned long dsr;
-+	unsigned long rs;
-+	unsigned long re;
-+	unsigned long mod;
-+};
-+
-+struct user_fpu_struct {
-+	unsigned long fp_regs[16];
-+	unsigned long xfp_regs[16];
-+	unsigned long fpscr;
-+	unsigned long fpul;
-+};
-+
-+#define ELF_NGREG 23
-+typedef unsigned long elf_greg_t;
-+typedef elf_greg_t elf_gregset_t[ELF_NGREG];
-+typedef struct user_fpu_struct elf_fpregset_t;
-+
-+struct user {
-+	struct pt_regs regs;
-+	struct user_fpu_struct fpu;
-+	int u_fpvalid;
-+	unsigned long u_tsize;
-+	unsigned long u_dsize;
-+	unsigned long u_ssize;
-+	unsigned long start_code;
-+	unsigned long start_data;
-+	unsigned long start_stack;
-+	long int signal;
-+	unsigned long u_ar0;
-+	struct user_fpu_struct *u_fpstate;
-+	unsigned long magic;
-+	char u_comm[32];
-+};

Kaikkia tiedostoja ei voida näyttää, sillä liian monta tiedostoa muuttui tässä diffissä